			;ldi temp1, 0xFF    ;Port A,B = Ausgang
           	;out DDRA, temp1
		   	;out DDRB, temp1	

           	;rcall lcd_init     ;Display initialisieren
           	;rcall lcd_clear    ;Display lschen

           	;ldi temp1, ' '     ;Zeichen anzeigen
           	;rcall lcd_data

		   	;ldi temp1, 0b11000000       ;2te Zeile
		   	;rcall lcd_command
		   
lcd_dot:				;display decimal point
			ldi	temp1, '.'	
			
dec_out:
			mov	a3, a0
			clt			;to suppress preceding zero
			ldi	a0, '0' - 1
							
 ;sendet ein Datenbyte an das LCD
lcd_data:
		   	sbi PORTB, 0
           	out PORTA, temp1             ;ausgeben
           	rcall lcd_enable             ;Enable-Routine aufrufen
           	rcall delay50us              ;Delay-Routine aufrufen
           	cbi PORTB, 0
		   	ret                          ;zurck zum Hauptprogramm

 ;sendet einen Befehl an das LCD
lcd_command:                            ;wie lcd_data, nur ohne RS zu setzen
           cbi PORTB,0
		   out PORTA, temp1
           rcall lcd_enable
		   rcall delay50us
           ret

 ;erzeugt den Enable-Puls
lcd_enable:
           sbi PORTB, 1                 ;Enable high
		   ldi temp3, 0x0f
loop_e:	   nop
		   dec temp3
		   brne loop_e	
           cbi PORTB, 1                 ;Enable wieder low
           ret                          ;Und wieder zurck                     

 ;Pause nach jeder bertragung
delay50us:                              ;50us Pause
           ldi  temp1, 0x2f
delay50us_:dec  temp1
           brne delay50us_
           ret                          ;wieder zurck

 ;Lngere Pause fr manche Befehle
delay5ms:                               ;5ms Pause
           ldi  temp1, 0x2f
WGLOOP0:   ldi  temp2, 0x2f
WGLOOP1:   dec  temp2
           brne WGLOOP1
           dec  temp1
           brne WGLOOP0
           ret                          ;wieder zurck

 ;Initialisierung
lcd_init:
           ldi	temp3,0xff
powerupwait:
           rcall	delay5ms
           dec	temp3
           brne	powerupwait
           
           ldi temp1, 0b00001110        
           rcall lcd_command            
           rcall delay5ms
           ldi temp1, 0b00000110       
           rcall lcd_command          
           rcall delay5ms
		   ldi temp1, 0b00111000       
           rcall lcd_command
		   ldi temp1, 0b00000011
		   rcall lcd_command
		   rcall delay5ms
		   rcall lcd_enable           
           rcall delay5ms
           rcall lcd_enable             
           rcall delay5ms
           ret

 ;Lschung des Displays
lcd_clear:
           ldi temp1, 0b00000001   ;Display lschen
           rcall lcd_command
           rcall delay5ms
           ret
